Name:           dnrd
Version:        2.20.3
Release:        4%{?dist}
Summary:        A caching, forwarding DNS proxy server

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://dnrd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        dnrd.init
Source2:        dnrd.conf.sample
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig 

%description

dnrd is a proxying nameserver. It forwards DNS queries to the
appropriate nameserver, but can also act as the primary nameserver for
a subnet behind a firewall. It also has features such as caching DNS
requests, support for DNS servers, cache poisoning prevention, TCP
support, etc..

%prep
%setup -q
sed -i 's/\r//' COPYING

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -p -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/dnrd.conf
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -p -m755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 == 1 ]; then
         /sbin/chkconfig --add %{name} > /dev/null 2>&1
fi

%preun
if [ $1 == 0 ]; then
         /sbin/service %{name} stop > /dev/null 2>&1
         /sbin/chkconfig --del %{name} > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README doc/README-cache
%doc doc/README-master doc/master.sample
%{_mandir}/man8/%{name}.8.gz
%{_sbindir}/%{name}
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dnrd.conf

%changelog
* Tue Jul 16 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-4
 - Fixed license tag -- missed in last update.

* Tue Jul 15 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-3
 - Fixed license issue and removed duplicate files 

* Mon Jul 14 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-2
 - Removed dos2unix dependency, created /etc/dnrd/ config file folder
 - Added init.d script and an example conf file, Corrected release number
 
* Tue Jun 18 2008 Rakesh Pandit <rakesh@fedoraproject.org> 2.20.3-1
 - Initial packaged version
